<?php

/**
 *
 * $Id: class.TaskLamentor.php,v 1.1 2005/04/21 00:17:14 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @subpackage  setup
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.1 $
 *
 */

/**
 * coWiki - Installer task class
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since       coWiki 0.4.0
 */
class TaskLamentor extends AbstractTask {

    public function __construct($Tpl) {
        parent::__construct($Tpl);

        // Destroy the current user
        $this->State->setIsValidUser(false);
    }

    // --------------------------------------------------------------------

    public function isRequired() {
        return true;
    }

    // --------------------------------------------------------------------

    public function validate() {
        return true;
    }

    // --------------------------------------------------------------------

    public function render() {

        $sStr =   '<table width="90%" align="center" cellpadding="0"
                     cellspacing="0" border="0">';
        $sStr .=      '<tr>';
        $sStr .=        '<td width="20%">&nbsp;</td>';
        $sStr .=        '<td>';
        $sStr .=          '<br/>';

        $sStr .=          'We thank you for your interest in this software
                           and regret that you do not accept the Licence
                           Agreement.
                           <br/><br/>

                           Please remove this software from your computer.
                           You\'ll gain more storage space for less
                           intelligent software. Thank you.
                           <br/><br/>

                           Close this browser window now and have a nice
                           life. Bye.';

        $sStr .=          '<br/><br/>';
        $sStr .=        '</td>';
        $sStr .=        '<td width="20%">&nbsp;</td>';
        $sStr .=      '</tr>';
        $sStr .=    '</table>';

        // Define content
        $this->Tpl->assign('CONTENT', $sStr);

        // Define informational/warning/error messages
        $this->Tpl->assign('MESSAGE', $this->getMsgQueueFormatted());

        echo $this->Tpl->parse(SETUP_PATH.'/tpl/window.regret.tpl');
    }

} // of class

/*
    These are your new grounds
    You were an angel
    Here come your demons
    You are a man

    You're the one to blame
    What choice did you make
    Your pride was insane
    What side did you take

    You lost God
    You were an angel
    God lost you
    You are a man
    No pity
    You were an angel
    No mercy
    You are a man
*/

?>