<?php

/**
 *
 * $Id: function.php,v 1.2 2005/04/19 04:58:18 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @subpackage  setup
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.2 $
 *
 */

    function redirectToController($sQuery = '') {
        redirectTo('installer.php', $sQuery);
    }

    // --------------------------------------------------------------------

    function redirectTo($sDestination, $sQuery = '') {
        $sQuery = ($sQuery == '') ? $sQuery : '?'.$sQuery;

        // Don't forget your session id
        if (defined('SID') && SID != '' && ini_get('session.use_trans_sid')) {
            if ($sQuery == '') {
                $sQuery = '?'.SID;
            } else {
                $sQuery .= '&'.SID;
            }
        }

        // Assemble path
        $sInfo = str_replace('&amp;', '&', $sQuery);
        $sInfo = str_replace('//', '/', $sInfo);

        // FIX: scheme (https) and port (other than 80)
        $sScheme = 'http';

        header('Location: '
                  . $sScheme . '://'
                  . $_SERVER['HTTP_HOST']
                  . getRequestBasePath($_SERVER['REQUEST_URI'])
                  . $sDestination
                  . $sInfo
              );
        exit;
    }

    // --------------------------------------------------------------------

    function getRequestBasePath($sPath) {
        return substr($sPath, 0, strrpos($sPath, '/')) . '/';
    }

    // --------------------------------------------------------------------

    function getBoolean($mFlag) {
        if (is_bool($mFlag)) {
            return $mFlag;
        }

        return in_array(trim(strtolower($mFlag)), array('true','yes','on','1'));
    }

?>