#
#   Copyright (C) Daniel T. Gorski, <daniel.gorski@develnet.org>
#                 Further information on <http://www.develnet.org>
#
#   $Id: mysql.sql,v 1.9 2004/07/22 20:30:16 dtg Exp $
#
#   This file is part of coWiki. coWiki is free software under the terms of
#   the GNU General Public License (GPL). Read the LICENSE file. If you did
#   not receive a copy of the license and are not able to obtain it through
#   the internet, please send a note to <cowiki-license@develnet.org> so we
#   can mail you a copy immediately.
#

CREATE TABLE IF NOT EXISTS cowiki_comment (
  rec_tan varchar(20) default NULL,
  rec_mod_id int(10) unsigned default NULL,
  rec_mod_ip varchar(255) default NULL,
  rec_mod_host varchar(128) default NULL,
  rec_state char(1) default NULL,
  comment_id int(10) unsigned NOT NULL auto_increment,
  node_id int(10) unsigned NOT NULL default '0',
  tree_id int(10) unsigned NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  replies int(10) unsigned NOT NULL default '0',
  latest datetime default NULL,
  subject varchar(64) NOT NULL default '',
  wikisubject varchar(64) NOT NULL default '',
  author_id int(10) unsigned NOT NULL default '0',
  author_name varchar(32) default NULL,
  author_email varchar(64) default NULL,
  author_ip varchar(255) default NULL,
  author_host varchar(128) default NULL,
  encoding varchar(16) default NULL,
  content text,
  tenor char(1) default NULL,
  notify char(1) default NULL,
  views int(10) unsigned default NULL,
  lft int(10) unsigned NOT NULL default '0',
  rgt int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (comment_id),
  KEY rec_mod_id(rec_mod_id),
  KEY rec_state(rec_state),
  KEY node_id(node_id),
  KEY tree_id(tree_id),
  KEY created(created),
  KEY subject(subject),
  KEY wikisubject(wikisubject),
  KEY author_id(author_id),
  FULLTEXT KEY content(content),
  KEY lft(lft),
  KEY rgt(rgt)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_group (
  rec_tan varchar(20) default NULL,
  rec_mod_id int(10) unsigned default NULL,
  rec_mod_ip varchar(255) default NULL,
  rec_mod_host varchar(128) default NULL,
  rec_state char(1) default NULL,
  group_id int(10) unsigned NOT NULL auto_increment,
  name varchar(8) NOT NULL default '',
  description varchar(255) default NULL,
  meta text,
  PRIMARY KEY  (group_id),
  KEY rec_mod_id (rec_mod_id),
  KEY rec_state (rec_state)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_node (
  rec_tan varchar(20) default NULL,
  rec_mod_id int(10) unsigned default NULL,
  rec_mod_ip varchar(255) default NULL,
  rec_mod_host varchar(128) default NULL,
  rec_state char(1) default NULL,
  node_id int(10) unsigned NOT NULL auto_increment,
  tree_id int(10) unsigned NOT NULL default '0',
  parent_id int(10) unsigned NOT NULL default '0',
  is_dir char(1) default NULL,
  is_index char(1) default NULL,
  dont_index char(1) default NULL,
  notify_user char(1) default NULL,
  notify_group char(1) default NULL,
  user_id int(10) unsigned NOT NULL default '0',
  group_id int(10) unsigned NOT NULL default '0',
  mode varchar(4) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  author_id int(10) unsigned default NULL,
  revision int(10) unsigned NOT NULL default '0',
  name varchar(128) NOT NULL default '',
  wikiname varchar(128) NOT NULL default '',
  metaphone varchar(128) NOT NULL default '',
  encoding varchar(16) default NULL,
  content text,
  summary text,
  keywords varchar(255) default NULL,
  comments char(1) default NULL,
  menu char(1) default NULL,
  foot char(1) default NULL,
  views int(10) unsigned default '0',
  sort_order int(10) unsigned default '0',
  node_spill_id int(10) unsigned default '0',
  meta text,
  PRIMARY KEY  (node_id),
  KEY rec_mod_id (rec_mod_id),
  KEY rec_state (rec_state),
  KEY tree_id (tree_id),
  KEY parent_id (parent_id),
  KEY is_dir (is_dir),
  KEY is_index (is_index),
  KEY created (created),
  KEY author_id (author_id),
  KEY revision (revision),
  KEY name (name),
  KEY wikiname (wikiname),
  KEY metaphone (metaphone),
  FULLTEXT KEY summary (summary),
  KEY menu (menu),
  KEY foot (foot),
  KEY sort_order (sort_order)
) TYPE=MyISAM;

# Postinstall feedback
INSERT INTO cowiki_node (rec_tan, rec_mod_id, rec_mod_ip, rec_mod_host, rec_state, node_id, tree_id, parent_id, is_dir, is_index, dont_index, notify_user, notify_group, user_id, group_id, mode, created, author_id, revision, name, wikiname, metaphone, encoding, content, summary, keywords, comments, menu, foot, views, sort_order, node_spill_id, meta) VALUES ('', 0, '', '', 'R', 1, 1, 0, 'Y', '', NULL, '', '', 0, 0, '0775', '0000-00-00 00:00:00', 0, 1, 'Congratulation', 'Congratulation', 'KNKRTLXN', '', '', '', '', '', 'Y', '', 0, 10, 0, NULL);
INSERT INTO cowiki_node (rec_tan, rec_mod_id, rec_mod_ip, rec_mod_host, rec_state, node_id, tree_id, parent_id, is_dir, is_index, dont_index, notify_user, notify_group, user_id, group_id, mode, created, author_id, revision, name, wikiname, metaphone, encoding, content, summary, keywords, comments, menu, foot, views, sort_order, node_spill_id, meta) VALUES ('', 0, '', '', 'R', 2, 1, 1, '', 'Y', NULL, '', '', 0, 0, '0664', '0000-00-00 00:00:00', 0, 1, 'it is alive!', 'ItIsAlive', 'ITSLF', '', '<plugin name="PostInstall"/>', '', '', '', '', '', 0, 10, 0, NULL);

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_node_hist (
  node_hist_id int(10) unsigned NOT NULL auto_increment,
  rec_tan varchar(20) default NULL,
  rec_mod_id int(10) unsigned default NULL,
  rec_mod_ip varchar(255) default NULL,
  rec_mod_host varchar(128) default NULL,
  rec_state char(1) default NULL,
  node_id int(10) unsigned NOT NULL default '0',
  tree_id int(10) unsigned NOT NULL default '0',
  parent_id int(10) unsigned NOT NULL default '0',
  is_dir char(1) default NULL,
  is_index char(1) default NULL,
  dont_index char(1) default NULL,
  notify_user char(1) default NULL,
  notify_group char(1) default NULL,
  user_id int(10) unsigned NOT NULL default '0',
  group_id int(10) unsigned NOT NULL default '0',
  mode varchar(4) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  author_id int(10) unsigned default NULL,
  revision int(10) unsigned NOT NULL default '0',
  name varchar(128) NOT NULL default '',
  wikiname varchar(128) NOT NULL default '',
  metaphone varchar(128) NOT NULL default '',
  encoding varchar(16) default NULL,
  content text,
  summary text,
  keywords varchar(255) default NULL,
  comments char(1) default NULL,
  menu char(1) default NULL,
  foot char(1) default NULL,
  views int(10) unsigned default '0',
  sort_order int(10) unsigned default '0',
  node_spill_id int(10) unsigned default '0',
  meta text,
  PRIMARY KEY  (node_hist_id),
  KEY rec_mod_id (rec_mod_id),
  KEY rec_state (rec_state),
  KEY node_id(node_id),
  KEY tree_id (tree_id),
  KEY created(created),
  KEY revision(revision),
  KEY name(name)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_node_hist_spill (
  node_hist_spill_id int(10) unsigned NOT NULL auto_increment,
  node_id int(10) unsigned NOT NULL default '0',
  content text,
  summary text,
  next_spill_id int(10) unsigned default '0',
  PRIMARY KEY  (node_hist_spill_id),
  KEY node_id (node_id)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_node_ref (
  node_id int(10) unsigned NOT NULL default '0',
  ref_node_id int(10) unsigned NOT NULL default '0',
  KEY node_id (node_id),
  KEY ref_node_id (ref_node_id)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_node_spill (
  node_spill_id int(10) unsigned NOT NULL auto_increment,
  node_id int(10) unsigned NOT NULL default '0',
  content text,
  summary text,
  next_spill_id int(10) unsigned default '0',
  PRIMARY KEY  (node_spill_id),
  KEY node_id (node_id)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_shoutbox (
  rec_tan varchar(20) default NULL,
  rec_mod_id int(10) unsigned default NULL,
  rec_mod_ip varchar(255) default NULL,
  rec_mod_host varchar(128) default NULL,
  rec_state char(1) default NULL,
  shoutbox_id int(10) unsigned NOT NULL auto_increment,
  type tinyint(4) NOT NULL default '0',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  poster_name varchar(32) default NULL,
  content text,
  PRIMARY KEY  (shoutbox_id),
  KEY rec_mod_id (rec_mod_id),
  KEY rec_state (rec_state)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_user (
  rec_tan varchar(20) default NULL,
  rec_mod_id int(10) unsigned default NULL,
  rec_mod_ip varchar(255) default NULL,
  rec_mod_host varchar(128) default NULL,
  rec_state char(1) default NULL,
  user_id int(10) unsigned NOT NULL auto_increment,
  group_id int(10) unsigned NOT NULL default '0',
  guest_only char(1) NOT NULL default '',
  created datetime NOT NULL default '0000-00-00 00:00:00',
  name varchar(32) NOT NULL default '',
  email varchar(64) default NULL,
  login varchar(8) binary NOT NULL default '',
  passwd varchar(64) NOT NULL default '',
  num_success int(10) unsigned default '0',
  num_failure int(10) unsigned default '0',
  locked char(1) default NULL,
  locked_time datetime default '0000-00-00 00:00:00',
  locked_ip varchar(255) default NULL,
  locked_host varchar(128) default NULL,
  expires datetime default '0000-00-00 00:00:00',
  meta text,
  PRIMARY KEY  (user_id),
  UNIQUE KEY login (login),
  KEY rec_mod_id (rec_mod_id),
  KEY rec_state (rec_state),
  KEY group_id (group_id),
  KEY guest_only (guest_only)
) TYPE=MyISAM;

# -------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS cowiki_user_group (
  user_id int(10) unsigned NOT NULL default '0',
  group_id int(10) unsigned NOT NULL default '0',
  KEY user_id (user_id),
  KEY group_id (group_id)
) TYPE=MyISAM;

